Foxit PDF SDK

Public Member Functions | Public Attributes | List of all members
FSDK.StdEncryptData Class Reference

## Public Member Functions
| constructor (is_encrypt_metadata, user_permissions, cipher, key_length)
| Constructor, with parameters. More...
| constructor ()
| Constructor.
| Set (is_encrypt_metadata, user_permissions, cipher, key_length)
| Set value. More...

## Public Attributes
| cipher
| Cipher type. Please refer to values starting from FSDK.SecurityHandler.e_CipherRC4 and this should be one of these values except FSDK.SecurityHandler.e_CipherNone.
| is_encrypt_metadata
| A boolean value to decide whether to encrypt metadata or not. true means to encrypt metadata, and false means not to encrypt metadata.
| key_length
| The key length, in bytes. More...
| user_permissions
| The user permissions. Please refer to values starting from FSDK.PDFDoc.e_PermPrint and this should be one or combination of these values.

## Detailed Description

This class represents some data used for class FSDK.StdSecurityHandler.

## Member Function Documentation

## ◆ constructor()

FSDK.StdEncryptData.constructor | ( | is_encrypt_metadata | ,
|  | user_permissions | ,
|  | cipher | ,
|  | key_length |
| ) |  |

Constructor, with parameters.

Parameters

  [in] | is_encrypt_metadata | true means to encrypt metadata, and false means not to encrypt metadata.
  [in] | user_permissions | The user permissions. Please refer to values starting from FSDK.PDFDoc.e_PermPrint and this should be one or combination of these values.
  [in] | cipher | Cipher type. Please refer to values starting from FSDK.SecurityHandler.e_CipherRC4 and this should be one of these values except FSDK.SecurityHandler.e_CipherNone.
  [in] | key_length | The key length, in bytes. For FSDK.SecurityHandler.e_CipherRC4 cipher, this value should be between 5 and 16. The preferred one should be 16. For FSDK.SecurityHandler.e_CipherAES cipher, this value should be 16 (as AES-128) or 32 (as AES-256, only supported in PDF 2.0).

## ◆ Set()

FSDK.StdEncryptData.Set | ( | is_encrypt_metadata | ,
|  | user_permissions | ,
|  | cipher | ,
|  | key_length |
| ) |  |

Set value.

Parameters

  [in] | is_encrypt_metadata | true means to encrypt metadata, and false means not to encrypt metadata.
  [in] | user_permissions | The user permissions. Please refer to values starting from FSDK.PDFDoc.e_PermPrint and this should be one or combination of these values.
  [in] | cipher | Cipher type. Please refer to values starting from FSDK.SecurityHandler.e_CipherRC4 and this should be one of these values except FSDK.SecurityHandler.e_CipherNone.
  [in] | key_length | The key length, in bytes. For FSDK.SecurityHandler.e_CipherRC4 cipher, this value should be between 5 and 16. The preferred one should be 16. For FSDK.SecurityHandler.e_CipherAES cipher, this value should be 16 (as AES-128) or 32 (as AES-256, only supported in PDF 2.0).

Returns
  None.

## Member Data Documentation

## ◆ key_length

FSDK.StdEncryptData.key_length

The key length, in bytes.

- For FSDK.SecurityHandler.e_CipherRC4 cipher, this value should be between 5 and 16. The preferred one should be 16.
- For FSDK.SecurityHandler.e_CipherAES cipher, this value should be 16 (as AES-128) or 32 (as AES-256, only supported in PDF 2.0).